Bug 118768 - FILESAVE: put on the brake animation doesn't play in saved pptx
Summary: FILESAVE: put on the brake animation doesn't play in saved pptx
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Mark Hung
URL:
Whiteboard: target:6.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-15 05:58 UTC by Mark Hung
Modified: 2018-07-26 09:59 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Sample file. (10.49 KB, application/vnd.oasis.opendocument.presentation)
2018-07-15 09:49 UTC, Mark Hung
Details
Saved as pptx by LibreOffice (20.72 KB, application/zip)
2018-07-15 09:50 UTC, Mark Hung
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Hung 2018-07-15 05:58:17 UTC
Steps to reproduce:
1. Insert a shape and select it.
2. Select Animation deck from sidebar, press + to insert an animation effect.
3. Category: Select entrance Effect: put on the brake.
4. Save it in pptx format.
5. Open the file in MS Office.

MS Office report the file has unrecognized content while opening.
And the animation effect doesn't play.
Comment 1 Mark Hung 2018-07-15 09:49:18 UTC
Created attachment 143556 [details]
Sample file.
Comment 2 Mark Hung 2018-07-15 09:50:00 UTC
Created attachment 143557 [details]
Saved as pptx by LibreOffice
Comment 3 Xisco FaulĂ­ 2018-07-17 17:16:49 UTC
Patch in gerrit: https://gerrit.libreoffice.org/#/c/57554/
Comment 4 Commit Notification 2018-07-18 12:56:57 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=70674228f3afd1019da7314b368a121a9afaa5d2

tdf#118768 fix pptx export of put on the brake animation.

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.